// EcopayView.h : Schnittstelle der Klasse CEcopayView
//

#pragma once
#include "FilterKontrolle.h"

//class CEcopayView : public CView
class CEcopayView: public CScrollView
{
public:
    void OnBnNeuSchmettClicked();

protected:
    // Nur aus Serialisierung erstellen
    CEcopayView();
    DECLARE_DYNCREATE (CEcopayView)

// Attribute
public:
    CEcopayDoc* GetDocument() const;
    FilterKontrolle wndFilterKontrolleDialog;

// Vorgänge
public:

// Überschreibungen
public:
    virtual void OnDraw( CDC* pDC); // Überschrieben, um diese Ansicht darzustellen
    virtual BOOL PreCreateWindow( CREATESTRUCT& cs);
    void speicherBildAb( CDC *pDC, int konfID, int filterID, CString artName);
    HANDLE DDBToDIB( CBitmap &bitmap, DWORD dwCompression, CPalette *pPal);
    BOOL WndToBmp( CDC *pDC, CString szFile);
protected:
    virtual void OnInitialUpdate();
    virtual BOOL OnPreparePrinting( CPrintInfo* pInfo);
    virtual void OnBeginPrinting( CDC* pDC, CPrintInfo* pInfo);
    virtual void OnEndPrinting( CDC* pDC, CPrintInfo* pInfo);

// Implementierung
public:
    virtual ~CEcopayView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Funktionen für die Meldungstabellen
protected:
    DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnNeuersteckbriefSchmetterling();
};

#ifndef _DEBUG  // Debugversion in EcopayView.cpp
inline CEcopayDoc* CEcopayView::GetDocument() const
{
    return reinterpret_cast< CEcopayDoc*>( m_pDocument);
}
#endif

